/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */

#include <locale.h>
#include <ncurses.h>
#include <unistd.h>

#include "renderer/init.h"

void renderer_init(void) {
	setlocale(LC_ALL, "");

	initscr();
	cbreak();
	noecho();
	nonl();
	intrflush(stdscr, FALSE);
	keypad(stdscr, TRUE);
	curs_set(TRUE);
}

void renderer_deinit(void) {
	endwin();
}
